
package de.ivu.elect.business.stimmeingabe.control;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.business.wahlvorschlag.entity.ReferendumOption;

public interface StimmeingabeDocumentReferendumErgebnisDaten<G extends Gebiet> {

  Long getStimmenFuerReferendumOption(ReferendumOption referendumOption, G gebiet);

  Long getStimmenFuerReferendumOptionenGueltig(Gruppe vorlage, G gebiet);

  Long getStimmenFuerReferendumOptionenUngueltig(Gruppe vorlage, G gebiet);

  Long getStimmenFuerReferendumOptionenAbgegeben(Gruppe vorlage, G gebiet);
}
